package com.goafanti.achievement.service;

import com.goafanti.common.model.AchievementInterest;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.portal.bo.AchievementInterestListBo;

public interface AchievementInterestService {

	String saveAchievementInterest(String id);

	int saveCancelAchievementInterest(String id);

	Pagination<AchievementInterestListBo> listAchievementInterest(Integer pNo, Integer pSize);

	AchievementInterest selectAchievementInterestByUidAndAchievementId(String userId, String id);

	String saveInterest(String uid,Integer type,String objectId,String interest);

	String deleteInterest(String uid, Integer type, String objectId, String interest);

	

}
